| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Continuous Trace

Continuous Trace Definitions and Methods. More...

## Classes
struct | unsp__ContTrcInfoWrite
| Continuous Trace Writable Information. More...
struct | unsp__ContTrcInfoReadOnly
| Continuous Trace Read-Only Information. More...
struct | unsp__ContTrcInfo
| Continuous Information. More...
struct | unsp__HostExportRead
| Export Host Read-Only Data. More...
struct | unsp__HostExportWrite
| Export Host Writable Data. More...
struct | unsp__ContTrcExportInfo
| Continuous Trace Export Information. More...
struct | unsp__GetContTrcInfoRes
| Get Continuous Trace Information result. More...
struct | unsp__GetContTrcInfoRequest
| Get Continuous Trace Information request. More...
struct | unsp__ActivateContTrcRequest
| Activate Continuous Trace request. More...
struct | unsp__ActiveateContTrcRes
| Activate Continuous Trace result. More...
struct | unsp__DeActivateContTrcRequest
| De-activate Continuous Trace request. More...
struct | unsp__DeActiveateContTrcRes
| De-activate Continuous Trace result. More...
struct | unsp__StartFileExportRequest
| Start File Export request. More...
struct | unsp__StartFileExportRes
| Start File Export result. More...
struct | unsp__StopFileExportRequest
| Stop File Export request. More...
struct | unsp__StopFileExportRes
| Stop File Export result. More...

## Enumerations
enum | unsp__ContTrcActive { CtInactive = 0, CtActive = 1 }
| Indicates whether Continuous Trace is active. More...
enum | unsp__ContTrcFilter { extern247, normal247, min247 }
| Continuous Trace filter. More...

## Functions
int | unsp__GetContTrcInfo (struct unsp__GetContTrcInfoRequest getContTrcRq, struct unsp__GetContTrcInfoRes *getContTrcRl)
| Retrieves Status Information of Continuous Trace. More...
int | unsp__ActivateContTrc (struct unsp__ActivateContTrcRequest activateContTrcRq, struct unsp__ActiveateContTrcRes *activateContTrcRl)
| Activates Continuous Trace. More...
int | unsp__DeActivateContTrc (struct unsp__DeActivateContTrcRequest deactivateContTrcRq, struct unsp__DeActiveateContTrcRes *deactivateContTrcRl)
| De-activates Continuous Trace. More...
int | unsp__StartFileExport (struct unsp__StartFileExportRequest startFileExpRq, struct unsp__StartFileExportRes *startFileExpRl)
| Starts the export of Continuous Trace data to the specified host. More...
int | unsp__StopFileExport (struct unsp__StopFileExportRequest stopFileExpRq, struct unsp__StopFileExportRes *stopFileExpRl)
| Stops the export of Continuous Trace data. More...

## Detailed Description

Continuous Trace Definitions and Methods.

Continuous Trace collects the detailed call data needed by field technicians, developers, system testers, and support engineers to efficiently analyze software, network, and configuration problems. Continuous Trace is started and stopped via scripting. After it is activated, it collects, stores, and indexes trace data, compressing the data as necessary.

When a customer problem is reported, the technician can select trace files using filter criteria such as the telephone number (originating or terminating), IP address, and time of day. The relevant trace files can then be exported via FTP for further analysis by customer service or development.

## Enumeration Type Documentation

## ◆ unsp__ContTrcActive

enum unsp__ContTrcActive

Indicates whether Continuous Trace is active.

Enumerator
CtInactive | Inactive.
CtActive | Active.

## ◆ unsp__ContTrcFilter

enum unsp__ContTrcFilter

Continuous Trace filter.

Enumerator
extern247 | 24/7 extern
normal247 | 24/7 normal
min247 | 24/7 min

## Function Documentation

## ◆ unsp__ActivateContTrc()

unsp__ActivateContTrc | ( | struct unsp__ActivateContTrcRequest | activateContTrcRq,
|  | struct unsp__ActiveateContTrcRes * | activateContTrcRl
| ) |  |

Activates Continuous Trace.

Parameters

  activateContTrcRq | API request
  activateContTrcRl | API result

## ◆ unsp__DeActivateContTrc()

unsp__DeActivateContTrc | ( | struct unsp__DeActivateContTrcRequest | deactivateContTrcRq,
|  | struct unsp__DeActiveateContTrcRes * | deactivateContTrcRl
| ) |  |

De-activates Continuous Trace.

Parameters

  deactivateContTrcRq | API request
  deactivateContTrcRl | API result

## ◆ unsp__GetContTrcInfo()

unsp__GetContTrcInfo | ( | struct unsp__GetContTrcInfoRequest | getContTrcRq,
|  | struct unsp__GetContTrcInfoRes * | getContTrcRl
| ) |  |

Retrieves Status Information of Continuous Trace.

Parameters

  getContTrcRq | API request
  getContTrcRl | API result

## ◆ unsp__StartFileExport()

unsp__StartFileExport | ( | struct unsp__StartFileExportRequest | startFileExpRq,
|  | struct unsp__StartFileExportRes * | startFileExpRl
| ) |  |

Starts the export of Continuous Trace data to the specified host.

Parameters

  startFileExpRq | API request
  startFileExpRl | API result

## ◆ unsp__StopFileExport()

unsp__StopFileExport | ( | struct unsp__StopFileExportRequest | stopFileExpRq,
|  | struct unsp__StopFileExportRes * | stopFileExpRl
| ) |  |

Stops the export of Continuous Trace data.

Parameters

  stopFileExpRq | API request
  stopFileExpRl | API result